Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.fonts
Class GlyphTable.HomogeneousRuleSet

    java.lang.Object
      org.apache.fop.complexscripts.fonts.GlyphTable.RuleSet
          org.apache.fop.complexscripts.fonts.GlyphTable.HomogeneousRuleSet

Enclosing class:
  GlyphTable

    public static class GlyphTable.HomogeneousRuleSet

extends GlyphTable.RuleSet

The `HomogenousRuleSet` class implements a collection of rules, which must be the same rule type (i.e., same concrete rule class) or null.

Constructor Summary
`GlyphTable.HomogeneousRuleSet(GlyphTable.Rule[] rules)` Instantiate a Homogeneous Rule Set.

Method Summary

Methods inherited from class org.apache.fop.complexscripts.fonts.GlyphTable.RuleSet
`getRules, resolveLookupReferences, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlyphTable.HomogeneousRuleSet

    public GlyphTable.HomogeneousRuleSet(GlyphTable.Rule[] rules)
                                  throws AdvancedTypographicTableFormatException

  Instantiate a Homogeneous Rule Set.

  Parameters:
    `rules` - the rules
  Throws:
    `AdvancedTypographicTableFormatException` - if some rule[i] is not an instance of rule[0]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.